GET /api/v3/place/digest/calendarized/yearly

Retrieves rolled up calendarized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes target comparison data and commodity level break up.

GetPlaceCalendarizedYearlyListV3 Permissions: BuildingsAndOrganizations (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to 4 integer (int32) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceDigestActualAndCalendarizedYearlyResponse
Property Description Type
commodities An array of yearly data per commodity PlaceDigestActualAndCalendarizedYearlyResponse+CommodityData[]
PlaceDigestActualAndCalendarizedYearlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data PlaceDigestActualAndCalendarizedYearlyResponse+CommodityResults[]
PlaceDigestActualAndCalendarizedYearlyResponse+CommodityResults properties
Property Description Type
commonDemand Common Demand number (double)
commonDemandUnitCost Common Demand Unit Cost number (double)
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
totalCost Total Cost number (double)
year year string
targetComparison PlaceDigestActualAndCalendarizedYearlyResponse+TargetComparison
PlaceDigestActualAndCalendarizedYearlyResponse+TargetComparison properties
Property Description Type
globalUse Total use for the target year number (double)
globalUseYtd Total use for the target year up to the target period that corresponds to the current period number (double)
targetLabel Target label string
targetYear Target year integer (int32)
totalCost Total cost for the target year number (double)
totalCostYtd Total cost for the target year up to the target period that corresponds to the current period number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
results An array of yearly data PlaceDigestActualAndCalendarizedYearlyResponse+Results[]
PlaceDigestActualAndCalendarizedYearlyResponse+Results properties
Property Description Type
globalUse Use number (double)
globalUseUnitCost Use Unit Cost number (double)
totalCost Total Cost number (double)
year year string
targetComparison PlaceDigestActualAndCalendarizedYearlyResponse+TargetComparison
PlaceDigestActualAndCalendarizedYearlyResponse+TargetComparison properties
Property Description Type
globalUse Total use for the target year number (double)
globalUseYtd Total use for the target year up to the target period that corresponds to the current period number (double)
targetLabel Target label string
targetYear Target year integer (int32)
totalCost Total cost for the target year number (double)
totalCostYtd Total cost for the target year up to the target period that corresponds to the current period number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
[
  {    "commodities": [
      {      "commodityCode": "string",      "commodityId": 1,      "commodityInfo": "string",      "commonDemandUnit": {},      "commonUseUnit": {},      "costUnit": {},      "results": [],      "targetComparison": {}
    }
    ],    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "globalUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "results": [
      {      "globalUse": 1.0,      "globalUseUnitCost": 1.0,      "totalCost": 1.0,      "year": "string"
    }
    ],    "targetComparison": {      "globalUse": 1.0,      "globalUseYtd": 1.0,      "targetLabel": "string",      "targetYear": 1,      "totalCost": 1.0,      "totalCostYtd": 1.0
    },    "updated": "2026-03-30"
  }
]
204 No Content The request succeeded. No content is returned in the response body.